void init_spr16x16asm_mask(BITMAP *bitmap);

// 16x16 mapped sprites

void pdraw16x16_Mapped(UINT8 *SPR, int x, int y, UINT8 *cmap,  int pri);
void pdraw16x16_Mapped_FlipX(UINT8 *SPR, int x, int y, UINT8 *cmap,  int pri);
void pdraw16x16_Mapped_FlipY(UINT8 *SPR, int x, int y, UINT8 *cmap,  int pri);
void pdraw16x16_Mapped_FlipXY(UINT8 *SPR, int x, int y, UINT8 *cmap,  int pri);

// 16x16 mapped transparent sprites

void pdraw16x16_Trans_Mapped(UINT8 *SPR, int x, int y, UINT8 *cmap,  int pri);
void pdraw16x16_Trans_Mapped_FlipX(UINT8 *SPR, int x, int y, UINT8 *cmap,  int pri);
void pdraw16x16_Trans_Mapped_FlipY(UINT8 *SPR, int x, int y, UINT8 *cmap,  int pri);
void pdraw16x16_Trans_Mapped_FlipXY(UINT8 *SPR, int x, int y, UINT8 *cmap,  int pri);

// 16bpp

void pdraw16x16_Mapped_16(UINT8 *SPR, int x, int y, UINT8 *cmap,  int pri);
void pdraw16x16_Mapped_16_FlipX(UINT8 *SPR, int x, int y, UINT8 *cmap,  int pri);
void pdraw16x16_Mapped_16_FlipY(UINT8 *SPR, int x, int y, UINT8 *cmap,  int pri);
void pdraw16x16_Mapped_16_FlipXY(UINT8 *SPR, int x, int y, UINT8 *cmap,  int pri);

// 16x16 mapped transparent sprites

void pdraw16x16_Trans_Mapped_16(UINT8 *SPR, int x, int y, UINT8 *cmap,  int pri);
void pdraw16x16_Trans_Mapped_16_FlipX(UINT8 *SPR, int x, int y, UINT8 *cmap,  int pri);
void pdraw16x16_Trans_Mapped_16_FlipY(UINT8 *SPR, int x, int y, UINT8 *cmap,  int pri);
void pdraw16x16_Trans_Mapped_16_FlipXY(UINT8 *SPR, int x, int y, UINT8 *cmap,  int pri);

// 32 bpp

void pdraw16x16_Mapped_32(UINT8 *SPR, int x, int y, UINT8 *cmap,  int pri);
void pdraw16x16_Mapped_32_FlipX(UINT8 *SPR, int x, int y, UINT8 *cmap,  int pri);
void pdraw16x16_Mapped_32_FlipY(UINT8 *SPR, int x, int y, UINT8 *cmap,  int pri);
void pdraw16x16_Mapped_32_FlipXY(UINT8 *SPR, int x, int y, UINT8 *cmap,  int pri);

// 16x16 mapped transparent sprites

void pdraw16x16_Trans_Mapped_32(UINT8 *SPR, int x, int y, UINT8 *cmap,  int pri);
void pdraw16x16_Trans_Mapped_32_FlipX(UINT8 *SPR, int x, int y, UINT8 *cmap,  int pri);
void pdraw16x16_Trans_Mapped_32_FlipY(UINT8 *SPR, int x, int y, UINT8 *cmap,  int pri);
void pdraw16x16_Trans_Mapped_32_FlipXY(UINT8 *SPR, int x, int y, UINT8 *cmap,  int pri);
